#include <stdio.h>
#include <stdlib.h>
int main()
{
    int N,L;
    do{
        scanf("%d",&N);
        if(N<1 || N>1000)
        printf("Unesite ponovo: ");
    }while(N<1 || N>1000);
    do{
        scanf("%d",&L);
        if(L<1 || L>1e9)
        printf("Unesite ponovo: ");
    }while(L<1 || L>1e9);
    int H[N],i;
    for(i=0;i<N;i++)
    {
        do{
           scanf("%d",&H[i]);
           if(H[i]<1 || H[i]>1e9)
           printf("Ukucajte ponovo: ");
    }while(H[i]<1 || H[i]>1e9);
    }
    for(i=0;i<N;i++){
        if(H[i]<=L){
        printf("%d\n",i+1);
        break;
        }
    }
    if(i==N)
    printf("-1\n");
}